package com.isidroid.c23.domain.use_case

import com.isidroid.spot.repository.ActiveSpotRepository
import kotlinx.coroutines.flow.flow
import javax.inject.Inject
import javax.inject.Singleton

@Singleton
class ContentUseCase @Inject constructor(private val activeSpotRepository: ActiveSpotRepository) {
    fun create() = flow {
        val spot = activeSpotRepository.getDefaultSpot()
        emit(spot)
    }
}